<?php
/*-------------------------------------------------------+
| Dev.Rus Theme for PHP-Fusion v7.00+
| by jikaka
| Web: http://www.rusfusion.ru/
|--------------------------------------------------------+
| Released under GNU Affero GPL v3 - included
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
require_once INCLUDES."theme_functions_include.php";

define("THEME_WIDTH", "90%");
define("THEME_BULLET", "<img src='".THEME."images/bullet.png' style='padding-bottom: 1px;' />");

function render_page($license=false) {

global $settings, $main_style;

	//Header
	echo "<div class='center $main_style' style='background-color:#e7e4e3;width:".THEME_WIDTH.";'>\n";
	echo "<div class='floatfix'>\n";
	echo "<div class='full-header floatfix'>\n\n".showbanners()."</div>\n";
	echo "<div class='sub-header floatfix'>\n";
	echo "<div style='float:left;'>".showsublinks("","menu")."</div>\n";
	echo "<div style='float:right;'>".showsubdate()."</div>\n";
	echo "</div></div>\n";
	
	//Content
	if (LEFT) { echo "<div id='side-border-left'>".LEFT."</div>\n"; }
	if (RIGHT) { echo "<div id='side-border-right'>".RIGHT."</div>\n"; }
	echo "<div id='main-bg' class='clearfix'><div id='container'>\n";
	if ($_SERVER['SCRIPT_NAME'] == "/news.php") { include THEME."slider.php"; }
	echo U_CENTER.CONTENT.L_CENTER."</div></div>\n";
	
	//Bottom
	echo "<div class='bottom floatfix'>".showsublinks("","bottom-menu")."</div>\n";
	
	//Footer
	echo "<div class='footer floatfix'>\n";
	echo "<div style='float:left;'>\n";
	if ($license == false) { echo showcopyright()."<br />\n"; } echo "Theme Dev.Rus by <a href='http://www.rusfusion.ru'>jikaka</a>\n";
	echo "</div>\n";
	echo "<div style='float:right;text-align:right;'>".stripslashes($settings['footer'])."<br/>".showcounter()."</div>\n";
	echo "</div></div>\n";

}

function render_news($subject, $news, $info) {

	echo "<div class='capmain'>$subject</div>\n";
	echo "<div class='main-body floatfix'>".$news."</div>\n";
	echo "<div class='news-footer'>\n";
	echo newsposter($info,"&middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</div>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<div class='capmain'>$subject</div>\n";
	echo "<div class='main-body floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
	echo "<div class='news-footer'>\n";
	echo articleposter($info,"&middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</div>\n";

}

function opentable($title) {

	echo "<div class='capmain'>$title</div>\n";
	echo "<div class='main-body floatfix'>\n";

}

function closetable() {

	echo "</div>\n";

}

function openside($title, $collapse = false, $state = "on") {
	
	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<div class='side-body-bg'>";
	echo "<div class='scapmain'>";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<div style='float:right;'>".panelbutton($state,$boxname)."</div>";
	}
	echo $title."</div>\n<div class='side-body floatfix'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside($collapse = false) {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</div></div>\n";

}
?>